spring.datasource.url=jdbc:h2:mem:mosquito_${random.uuid};DB_CLOSE_DELAY=-1;MODE=PostgreSQL
spring.datasource.driverClassName=org.h2.Driver
spring.jpa.hibernate.ddl-auto=create-drop

# Ensure Flyway runs only migrations
spring.flyway.enabled=false
# spring.flyway.locations=classpath:db/migration_h2

# Keep cache enabled by default for cache-related tests; individual tests may override
spring.sql.init.mode=never
# spring.sql.init.schema-locations=classpath:db/schema.sql
